module Assets
  class AngularGenerator < Rails::Generators::NamedBase
    source_root File.expand_path('../templates', __FILE__)
    argument :name, type: :string, default: ""

    def copy_initializer_file
      @app_name = file_name
      template 'app.js', "app/assets/javascripts/angular/app.js", @app_name
      `mkdir app/assets/javascripts/angular/filters`
      `mkdir app/assets/javascripts/angular/controllers`
      `mkdir app/assets/javascripts/angular/services`
      inject_into_file "app/assets/javascripts/application.js", after: "//= require jquery_ujs" do
<<-JS

//= require angular
//= require angular/app
//= require_tree ./angular/filters
//= require_tree ./angular/services
//= require_tree ./angular/controllers
JS
      end
      gem "angularjs-rails"
      gem "bower-rails", "~> 0.10.0"
      Bundler.with_clean_env do
        run "bundle install"
        run "rails g bower_rails:initialize"
      end
    end
  end
end