module Assets
  class AutocompleteGenerator < Rails::Generators::NamedBase
    source_root File.expand_path('../templates', __FILE__)
    argument :name, type: :string, default: "RaroCrud"

    def copy_initializer_file
      inject_into_file "app/assets/javascripts/application.js", after: "//= require jquery_ujs" do
<<-JS

//= require autocomplete/jquery-ui-autocomplete
//= require autocomplete/autocomplete-rails
JS
      end
      append_file 'Gemfile' do
        <<-RUBY


# autocomplete
gem 'rails-jquery-autocomplete'
        RUBY
      end
      Bundler.with_clean_env do
        run "bundle install"
      end
    end
  end
end