module Backup
  class S3Generator < Rails::Generators::NamedBase
    source_root File.expand_path('../templates', __FILE__)
    argument :name, type: :string, default: ""

    def copy_initializer_file
      template 's3_backup.rake', "lib/tasks/s3_backup.rake"
      template 'schedule.rb', "config/schedule.rb"

      append_file 'config/deploy.rb' do
        <<-RUBY


set :whenever_command, "bundle exec whenever"
require "whenever/capistrano"
        RUBY
      end

      inject_into_file 'config/deploy/production.rb', before: "load 'deploy/assets'" do
        <<-RUBY
set :whenever_environment, 'production'

        RUBY
      end

      append_file 'Gemfile' do
        <<-RUBY

# Backup
gem 'aws-sdk', '~> 2'

# Crontab
gem 'whenever', require: false
        RUBY
      end
      Bundler.with_clean_env do
        run "bundle install"
      end
    end
  end
end
