module Deploy
  class HomologacaoGenerator < Rails::Generators::NamedBase
    source_root File.expand_path('../templates', __FILE__)

    def copy_initializer_file
        @app_name = file_name
        template 'staging.rb', "config/deploy/staging.rb", @app_name
        template 'stage.rb', "config/environments/stage.rb", @app_name
        template 'deploy.rb', "config/deploy.rb", @app_name
        template 'unicorn.rb', "config/unicorn.rb", @app_name
        capify!
        append_file 'config/database.yml' do
          <<-YML


stage:
  adapter: mysql2
  encoding: utf8
  reconnect: false
  database: #{@app_name}_stage
  pool: 5
  username: rarolabs
  password: cascais

        YML
      end
      
      append_file 'config/secrets.yml' do
        <<-YML


stage:
  secret_key_base: aecbfa535481abc030328e99c3ffb86cc2d775110ca7754a09476c3b96db4bc8fe102df7f3fb194131fcece7a3811b457e458f731ce107de986865841c1a5104

          YML
        end
    end
  end
end