set :application, '<%=@app_name%>'
set :keep_releases, 5
set :rails_env, 'stage'

set :scm, 'git'
set :repository, 'git@git.rarolabs.com.br:rarolabs/<%=@app_name%>.git'
set :branch, 'master'
set :deploy_via, :remote_cache

default_run_options[:pty]   = true
ssh_options[:forward_agent] = true

set :user, 'raro'
set :port, 22
set :use_sudo, false

set(:unicorn_env) { rails_env }

load 'deploy/assets'

set :default_environment, {
  'BUNDLE_PATH'  => '/home/raro/.rvm/gems/ruby-2.1.1@global/bin/bundle',
  'PATH' => "/home/raro/.rvm/gems/ruby-2.1.1/bin:/home/raro/.rvm/gems/ruby-2.1.1@global/bin:/home/raro/.rvm/rubies/ruby-2.1.1/bin:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/raro/.rvm/bin:/home/raro/bin",
  'RUBY_VERSION' => "2.1.1p76",
  'GEM_HOME' =>"/home/raro/.rvm/gems/ruby-2.1.1",
  'GEM_PATH' => "/home/raro/.rvm/gems/ruby-2.1.1:/home/raro/.rvm/gems/ruby-2.1.1@global",
  'LANG' => 'en_US.UTF-8'
}

set :rvm_ruby_string, "ruby-2.1.1"              # use the same ruby as used locally for deployment

# set :rvm_type, :system

server '162.243.96.140', :web, :app, :db, :primary => true

set :deploy_to, "/app/<%=@app_name%>/"

# runs bundle install on remote server
require "bundler/capistrano"

# if you want to clean up old releases on each deploy uncomment this:


after "deploy:restart", "deploy:cleanup"

before 'deploy:setup', 'rvm:install_rvm'
after 'deploy:restart', 'unicorn:restart'
before "deploy:assets:precompile", "deploy:migrate"

before 'deploy:finalize_update', 'deploy:assets:symlink'
after 'deploy:update_code', 'deploy:assets:precompile'

after :deploy, 'deploy:restart'
namespace :deploy do
  task :restart, :roles => :app, :except => { :no_release => true } do
      run "cd #{current_path} && touch tmp/restart.txt"
  end
end