module Deploy
  class ProducaoGenerator < Rails::Generators::NamedBase
    source_root File.expand_path('../templates', __FILE__)

    def copy_initializer_file
        @app_name = file_name
        template 'production.rb', "config/deploy/production.rb", @app_name
        template 'env_production.rb', "config/environments/production.rb", @app_name
        template 'deploy.rb', "config/deploy.rb", @app_name
        template 'unicorn.rb', "config/unicorn.rb", @app_name
        append_file 'config/database.yml' do
          <<-YML


production:
  adapter: mysql2
  encoding: utf8
  reconnect: false
  database: #{@app_name}_production
  pool: 5
  username: <%= ENV['user_database_production']%>
  password: <%= ENV['password_database_production']%>

        YML
      end
      
      append_file 'config/secrets.yml' do
        <<-YML


production:
  secret_key_base: 22b9eb5b1250134e175a2426c3737803e0395233e2ad7e2038345032751ce74534de768a8a1009c5a9565b8d900bc8de3a31cf86f6a247caf3bff21257ad82f0

          YML
        end
    end
  end
end