module Model
  class TagsGenerator < Rails::Generators::NamedBase
    source_root File.expand_path('../templates', __FILE__)
    argument :field, type: :string, default: [], banner: "model field"

    def copy_initializer_file
      @app_name = file_name
      @field = field
      inject_into_file "app/assets/javascripts/application.js", after: "//= require jquery_ujs" do
<<-JS

//= require bootstrap-tagsinput
JS
      end
      inject_into_file "app/assets/javascripts/initializer.js", after: "atualiza_campos_crud(){" do
<<-JS

	$("input[data-role=tagsinput], select[multiple][data-role=tagsinput]").tagsinput();
JS
      end
      inject_into_file "app/assets/stylesheets/application.css.scss", before: "*= require style" do
<<-SCSS
*= require bootstrap-tagsinput
 
SCSS
      end
      inject_into_file "app/models/#{file_name}.rb", after: "ActiveRecord::Base" do
<<-RUBY

  acts_as_taggable_on :#{@field.pluralize}

  def self.params_permitt
    [:#{@field.singularize}_list]
  end
RUBY
      end
      gem 'acts-as-taggable-on', '~> 3.4'
      gem 'bootstrap-tagsinput-rails'
      Bundler.with_clean_env do
        run "bundle install"
        run "rake acts_as_taggable_on_engine:install:migrations"
        run "rake db:migrate"
      end
    end
  end
end